Package com.destroystokyo.paper.block

# Class TargetBlockInfo

java.lang.Object
com.destroystokyo.paper.block.TargetBlockInfo

public class TargetBlockInfo extends Object
Represents information about a targeted block

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`TargetBlockInfo.FluidMode`

## Constructor Summary

Constructors
Constructor
Description
`TargetBlockInfo(@NotNull Block block, @NotNull BlockFace blockFace)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull Block`
`getBlock()`
Get the block that is targeted
`@NotNull BlockFace`
`getBlockFace()`
Get the targeted BlockFace
`@NotNull Block`
`getRelativeBlock()`
Get the relative Block to the targeted block on the side it is targeted at

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TargetBlockInfo

public TargetBlockInfo(@NotNull @NotNull Block block, @NotNull @NotNull BlockFace blockFace)

## Method Details

### getBlock

@NotNull public @NotNull Block getBlock()
Get the block that is targeted

Returns:
  Targeted block

### getBlockFace

@NotNull public @NotNull BlockFace getBlockFace()
Get the targeted BlockFace

Returns:
  Targeted blockface

### getRelativeBlock

@NotNull public @NotNull Block getRelativeBlock()
Get the relative Block to the targeted block on the side it is targeted at

Returns:
  Block relative to targeted block